<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <style>
      .modal {
        display: none;
      }
      .modal.active {
        display: block;
      }
    </style>
  </head>
  <body>
    <button id="btn">Click</button>
    <script>
      /* Задание: напишите класс Modal, который будет создавать объект, описывающий всплывающее окно.
    Параметры объекта:
    - id всплывающего окна;
    - классы всплывающего окна;
    - текст внутри тега p;
    
    У объекта должно быть 3 метода: 
    render, который возвращает DOM-элемент всплывающего окна с такой разметкой:
    
    <div id="idОкна" class="классыОкна">
        <div class="modal-content">
            <span class="close">&times;</span>
            <p>ТекстОкна</p>
        </div>
    </div>   
    
     openModal, который открывает окно (его нужно использовать как обработчик click для button с id="myBtn");
     closeModal - который закрывает окно при клике на крестик (span с классом close) внутри окна
     */
    </script>
  </body>
</html>
